ASTSCRIPT-PSF-SCALE-FACTOR(1)

NAME
astscript-psf-scale-factor - Find factor to scale PSF to a given star

SYNOPSIS
astscript-psf-scale-factor [OPTION] FITS-files

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.21.

This script will consider a center position and then compute the factor by which it is necessary to multiply the specified PSF image in order to match it with the object at the center (within a ring radii). The main idea is to have the necessary factor that will be used to allocate the PSF with the proper flux value for constructing the scattered light field.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-psf-scale-factor

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-psf-scale-factor options:

    Input:

-h, --hdu=STR
    HDU/extension of all input FITS files.

-p, --psf=STR
    PSF image fits file.

-P, --psfhdu=STR
    HDU/extension of the PSF image.

-O, --mode=STR
    Coordinates mode ('wcs' or 'img').

-c, --center=FLT,FLT
    Center coordinates of the object.

-W, --widthinpix=INT,INT Width of the stamp in pixels.

-n, --normradii=INT,INT Minimum and maximum radii (in pixels)
    for computing the scaling factor value.

-S, --segment=STR
    Output of Segment (with OBJECTS and CLUMPS).

-s, --sigmaclip=FLT,FLT Sigma-clip multiple and tolerance.

    Output:

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2020-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Raul Infante-Sainz

SEE ALSO
The full documentation for astscript-psf-scale-factor is maintained as a Texinfo manual. If the info and astscript-psf-scale-factor programs are properly installed at your site, the command

    info astscript-psf-scale-factor

should give you access to the complete manual.